aboutsummaryrefslogtreecommitdiff
path: root/ci/test
diff options
context:
space:
mode:
authorMax Edwards <youwontforgetthis@gmail.com>2024-06-07 23:28:04 +0100
committerMax Edwards <youwontforgetthis@gmail.com>2024-06-08 17:09:33 +0100
commit4b527fa93b9763a33842069bc07446313cbf5e0f (patch)
treee90b20bf845abd26d45fe0246f1f2a11e87240a1 /ci/test
parenta786fd2041913d82ca90b561de309421bd24e41b (diff)
downloadbitcoin-4b527fa93b9763a33842069bc07446313cbf5e0f.tar.xz
ci: add IPV6 network to ci container
Allows IPV6 functional tests to run inside the container
Diffstat (limited to 'ci/test')
-rwxr-xr-xci/test/02_run_container.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/ci/test/02_run_container.sh b/ci/test/02_run_container.sh
index e6c4a61341..8de73f04d4 100755
--- a/ci/test/02_run_container.sh
+++ b/ci/test/02_run_container.sh
@@ -29,6 +29,8 @@ if [ -z "$DANGER_RUN_CI_ON_HOST" ]; then
docker volume create "${CONTAINER_NAME}_depends_SDKs_android" || true
docker volume create "${CONTAINER_NAME}_previous_releases" || true
+ docker network create --ipv6 --subnet 1111:1111::/112 ci-ip6net || true
+
if [ -n "${RESTART_CI_DOCKER_BEFORE_RUN}" ] ; then
echo "Restart docker before run to stop and clear all containers started with --rm"
podman container rm --force --all # Similar to "systemctl restart docker"
@@ -56,6 +58,7 @@ if [ -z "$DANGER_RUN_CI_ON_HOST" ]; then
--mount "type=volume,src=${CONTAINER_NAME}_previous_releases,dst=$PREVIOUS_RELEASES_DIR" \
--env-file /tmp/env-$USER-$CONTAINER_NAME \
--name "$CONTAINER_NAME" \
+ --network ci-ip6net \
"$CONTAINER_NAME")
export CI_CONTAINER_ID
export CI_EXEC_CMD_PREFIX="docker exec ${CI_CONTAINER_ID}"